%define version	1.3
%define release 14mdk

Summary:	A program which locks one or more virtual consoles
Name:		vlock
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Terminals

URL:		ftp://tsx-11.mit.edu:/pub/linux/sources/usr.bin/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		vlock-1.3-system-auth.patch.bz2
Patch1:		vlock-1.3-includes.patch.bz2

Requires:	pam >= 0.59
BuildRequires:	pam-devel
BuildRoot:	%{_tmppath}/%name-%version-%release-root

%description
The vlock program locks one or more sessions on the console.  Vlock
can lock the current terminal (local or remote) or the entire virtual
console system, which completely disables all console access.  The
vlock program unlocks when either the password of the user who started
vlock or the root password is typed.

Install vlock if you need to disable access to one console or to all
virtual consoles.

%prep 
%setup -q
%patch0 -p1 -b .system-auth
%patch1 -p1 -b .includes

%build
%make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -D -s vlock $RPM_BUILD_ROOT%{_bindir}/vlock
install -m 644 -D vlock.1 $RPM_BUILD_ROOT%{_mandir}/man1/vlock.1
install -m 644 -D vlock.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/vlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/pam.d/vlock
%doc COPYING README
%{_bindir}/vlock
%{_mandir}/man1/vlock.1*

%changelog
* Fri Jan 16 2004 Abel Cheung <deaddog@deaddog.org> 1.3-14mdk
- Update patch0 to really remove hardcoded pam module path (and sync with
  fedora)

* Mon Oct 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.3-13mdk
- rebuild for rewriting /etc/pam.d file

* Tue Mar 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-12mdk
- Patch1: Add missing includes

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-11mdk
- Rebuild

* Thu Dec  6 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-10mdk
- Fix no-url-tag

* Tue Aug  7 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-9mdk
- Fix invalid-distribution Linux-Mandrake

* Mon Feb 26 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-8mdk
- Cleaned up specfile
- Added documenation files
- Pamstackizification

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3-7mdk
- BuildRequires: pam-devel

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-6mdk
- BM, macros and spec-helper

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.3-5mdk
- Fixed group

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>

- build release
- bzip2 manpage
- fix compilation for non-root users (bero sucks?)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Wed Jan 13 1999 Michael Johnson <johnsonm@redhat.com>
- released 1.3

* Thu Mar 12 1998 Michael K. Johnson <johnsonm@redhat.com>
- Does not create a DoS attack if pty is closed (not applicable
  to use on a VC)

* Fri Oct 10 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam conventions.
- Use pam according to spec, rather than abusing it as before.
- Updated to version 1.1.
- BuildRoot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- moved from pam.conf to pam.d
